# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2023/4/20
import argparse
import os
import sys
sys.path.append(os.getcwd())
from common.public import task_fun
from common.common import Common
from xiaoniangao.xiaoniangao_author.xiaoniangao_author_scheduling import XiaoniangaoAuthorScheduling


def main(log_type, crawler, task, oss_endpoint, env):
    task_dict = task_fun(task)['task_dict']
    rule_dict = task_fun(task)['rule_dict']
    Common.logger(log_type, crawler).info(f"调度任务:\n{task_dict}")
    Common.logger(log_type, crawler).info(f"抓取规则:\n{rule_dict}")
    Common.logger(log_type, crawler).info('开始抓取 小年糕 定向榜\n')
    XiaoniangaoAuthorScheduling.get_follow_videos(log_type=log_type,
                                        crawler=crawler,
                                        strategy="定向爬虫策略",
                                        oss_endpoint=oss_endpoint,
                                        env=env)
    Common.del_logs(log_type, crawler)
    Common.logger(log_type, crawler).info('抓取完一轮\n')


if __name__ == "__main__":
    parser = argparse.ArgumentParser()  ## 新建参数解释器对象
    parser.add_argument('--log_type', type=str)  ## 添加参数,注明参数类型
    parser.add_argument('--crawler')  ## 添加参数
    parser.add_argument('--task')  ## 添加参数
    parser.add_argument('--oss_endpoint')  ## 添加参数
    parser.add_argument('--env')  ## 添加参数
    args = parser.parse_args()  ### 参数赋值，也可以通过终端赋值
    main(log_type=args.log_type,
         crawler=args.crawler,
         task=args.task,
         oss_endpoint=args.oss_endpoint,
         env=args.env)